TEXT CHANGE TO PIPE DIA IN SINGLE CLICK

CREDIT GOES TO:  Kent1Cooper,  Tharwat  

Example:


Command:  25
Select text:
Selected text will changed to:   25x


Command:  DIAA
Select text:
Selected text will changed to:   TEXTx



Autocad Command Prompt : 1 OR 2,3,4,5,6,7,8,910,11,12,15,18,20,22,25,28,32,35,40,42,50,54,67,75,82,100,108,110,125,133,150,160,175,200,210,250,300,350,400,500,600,700,800,900&1000


Download .lsp File   DOWNLOAD


               OR


LISP CODE:

(vl-load-com); [if needed]

(defun numdia (num / a); = NUMber with DIAmeter symbol
  (if (setq a (entsel (strcat "\nSelect the text you want to change to " num "dia : ")))
    (vla-put-TextString (vlax-ename->vla-object (car a)) (strcat num "%%C"))
  ); if
); defun

(defun C:1 () (numdia "1"))
(defun C:2 () (numdia "2"))
(defun C:3 () (numdia "3"))
(defun C:4 () (numdia "4"))
(defun C:5 () (numdia "5"))
(defun C:6 () (numdia "6"))
(defun C:7 () (numdia "7"))
(defun C:8 () (numdia "8"))
(defun C:9 () (numdia "9"))
(defun C:10 () (numdia "10"))
(defun C:11 () (numdia "11"))
(defun C:12 () (numdia "12"))
(defun C:15 () (numdia "15"))
(defun C:18 () (numdia "18"))
(defun C:20 () (numdia "20"))
(defun C:22 () (numdia "22"))
(defun C:25 () (numdia "25"))
(defun C:28 () (numdia "28"))
(defun C:32 () (numdia "32"))
(defun C:35 () (numdia "35"))
(defun C:40 () (numdia "40"))
(defun C:42 () (numdia "42"))
(defun C:50 () (numdia "50"))
(defun C:54 () (numdia "54"))
(defun C:67 () (numdia "67"))
(defun C:75 () (numdia "75"))
(defun C:82 () (numdia "82"))
(defun C:100 () (numdia "100"))
(defun C:108 () (numdia "108"))
(defun C:110 () (numdia "110"))
(defun C:125 () (numdia "125"))
(defun C:133 () (numdia "133"))
(defun C:150 () (numdia "150"))
(defun C:160 () (numdia "160"))
(defun C:175 () (numdia "175"))
(defun C:200 () (numdia "200"))
(defun C:210 () (numdia "210"))
(defun C:250 () (numdia "250"))
(defun C:300 () (numdia "300"))
(defun C:350 () (numdia "350"))
(defun C:400 () (numdia "400"))
(defun C:500 () (numdia "500"))
(defun C:600 () (numdia "600"))
(defun C:700 () (numdia "700"))
(defun C:800 () (numdia "800"))
(defun C:900 () (numdia "900"))
(defun C:1000 () (numdia "1000"))


(defun c:diaa (/ ss i sn)
  (if (setq ss (ssget "_:L" '((0 . "*TEXT"))))
    (repeat (setq i (sslength ss))
      (setq sn (ssname ss (setq i (1- i))))
      (entmod (subst (cons 1 (strcat (cdr (assoc 1 (entget sn))) "%%c"))
       (assoc 1 (entget sn)) (entget sn) )))) (princ))

Copy and Paste From Different files very slow

SOLUTION:



Command: -SCALELISTEDIT

Reset, Enter
Yes, Enter
 Exit

Do this steep in Both Drawing.

Then Try.

    This command available Auto Cad 2008 and above only





Layer Merge Not working In Autocad


SOLUTION


Command:  Layer,

Lock all Layer,
Un lock all layer 
Apply
ok

Then try:    Laymrg